# FoundationClasses
TKMath
math

# math_SingleTabOfInteger Class Reference

`#include <math_SingleTabOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_SingleTabOfInteger (const Standard_Integer LowerIndex, const Standard_Integer UpperIndex)
Standard_EXPORT | math_SingleTabOfInteger (const Standard_Integer &Tab, const Standard_Integer LowerIndex, const Standard_Integer UpperIndex)
Standard_EXPORT void | Init (const Standard_Integer &InitValue)
Standard_EXPORT | math_SingleTabOfInteger (const math_SingleTabOfInteger &Other)
void | Copy (math_SingleTabOfInteger &Other) const
Standard_EXPORT void | SetLower (const Standard_Integer LowerIndex)
Standard_Integer & | Value (const Standard_Integer Index) const
Standard_Integer & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Free ()
| ~math_SingleTabOfInteger ()

## Private Attributes

Standard_Address | Addr
Standard_Boolean | isAllocated
Standard_Integer | First
Standard_Integer | Last

## Constructor & Destructor Documentation

Standard_EXPORT math_SingleTabOfInteger::math_SingleTabOfInteger | ( | const Standard_Integer | LowerIndex,
|  | const Standard_Integer | UpperIndex
| ) |

Standard_EXPORT math_SingleTabOfInteger::math_SingleTabOfInteger | ( | const Standard_Integer & | Tab,
|  | const Standard_Integer | LowerIndex,
|  | const Standard_Integer | UpperIndex
| ) |

Standard_EXPORT math_SingleTabOfInteger::math_SingleTabOfInteger | ( | const math_SingleTabOfInteger & | Other | ) |

math_SingleTabOfInteger::~math_SingleTabOfInteger | ( |  | ) | `[inline]`

## Member Function Documentation

void math_SingleTabOfInteger::Copy | ( | math_SingleTabOfInteger & | Other | ) | const

Standard_EXPORT void math_SingleTabOfInteger::Free | ( |  | ) |

Standard_EXPORT void math_SingleTabOfInteger::Init | ( | const Standard_Integer & | InitValue | ) |

void math_SingleTabOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_SingleTabOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* math_SingleTabOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& math_SingleTabOfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

Standard_EXPORT void math_SingleTabOfInteger::SetLower | ( | const Standard_Integer | LowerIndex | ) |

Standard_Integer& math_SingleTabOfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Address math_SingleTabOfInteger::Addr `[private]`

Standard_Integer math_SingleTabOfInteger::First `[private]`

Standard_Boolean math_SingleTabOfInteger::isAllocated `[private]`

Standard_Integer math_SingleTabOfInteger::Last `[private]`

The documentation for this class was generated from the following file:

- math_SingleTabOfInteger.hxx